Bug 24699 - Split items.uri on OPAC detail page
Summary: Split items.uri on OPAC detail page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-20 13:47 UTC by Marcel de Rooy
Modified: 2020-04-29 14:59 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24699: Split items.uri in OPAC detail view (6.16 KB, patch)
2020-02-21 08:22 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24699: Split items.uri in OPAC detail view (6.15 KB, patch)
2020-02-23 15:43 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24699: Split items.uri in OPAC detail view (6.22 KB, patch)
2020-03-27 14:51 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-02-20 13:47:43 UTC
See 24697 (counterpart)
Comment 1 Marcel de Rooy 2020-02-21 08:22:35 UTC
Created attachment 99355 [details] [review]
Bug 24699: Split items.uri in OPAC detail view

Same change as in bug 24697 for staff. If there are more URIs in 952u,
we split them and show the real URL instead of Link to resource or the
value of pref URLLinkText.

I introduced a few template variables here to make the code a bit more
compact and readable.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Bernardo Gonzalez Kriegel 2020-02-23 15:43:07 UTC
Created attachment 99468 [details] [review]
Bug 24699: Split items.uri in OPAC detail view

Same change as in bug 24697 for staff. If there are more URIs in 952u,
we split them and show the real URL instead of Link to resource or the
value of pref URLLinkText.

I introduced a few template variables here to make the code a bit more
compact and readable.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors.
Comment 3 Kyle M Hall 2020-03-27 14:51:41 UTC
Created attachment 102004 [details] [review]
Bug 24699: Split items.uri in OPAC detail view

Same change as in bug 24697 for staff. If there are more URIs in 952u,
we split them and show the real URL instead of Link to resource or the
value of pref URLLinkText.

I introduced a few template variables here to make the code a bit more
compact and readable.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-04-06 09:58:13 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-29 14:59:29 UTC
enhancement not backported to 19.11.x